Package org.apache.sling.testing.clients.util

# Class FormEntityBuilder

java.lang.Object
org.apache.sling.testing.clients.util.FormEntityBuilder

public class FormEntityBuilder extends Object
Helper for creating Entity objects for POST requests.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ENCODING`

## Method Summary

Modifier and Type
Method
Description
`FormEntityBuilder`
`addAllParameters(List<org.apache.http.NameValuePair> parameters)`
`FormEntityBuilder`
`addAllParameters(Map<String,String> parameters)`
`FormEntityBuilder`
`addParameter(String name, String value)`
`org.apache.http.client.entity.UrlEncodedFormEntity`
`build()`
`static FormEntityBuilder`
`create()`
`FormEntityBuilder`
`setEncoding(String encoding)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_ENCODING

public static final String DEFAULT_ENCODING

See Also:
  - Constant Field Values

## Method Details

### create

public static FormEntityBuilder create()

### addAllParameters

public FormEntityBuilder addAllParameters(Map<String,String> parameters)

### addAllParameters

public FormEntityBuilder addAllParameters(List<org.apache.http.NameValuePair> parameters)

### addParameter

public FormEntityBuilder addParameter(String name, String value)

### setEncoding

public FormEntityBuilder setEncoding(String encoding)

### build

public org.apache.http.client.entity.UrlEncodedFormEntity build()